import React from 'react';
import { PageContainer } from '@ant-design/pro-layout';
import { Row, Col } from 'antd';
import { LineChartOutlined, UserOutlined, ReadOutlined, BranchesOutlined } from '@ant-design/icons';
// import { useIntl, FormattedMessage } from 'umi';
import HeaderContent from './components/HeaderContent';
import LineCard from './components/LineCard';
import NavCard from './components/NavCard';

const navIconStyle = {
  fontSize: '5em',
  color: 'rgba(0, 0, 0, 0.06)'
}

const Text = (props) => (
  <span style={{ color: props.color }}>{props.children}</span>
)

export default () => {
  // const intl = useIntl();
  return (
    <PageContainer
      header={{
        title: '工作台'
      }}
      content={<HeaderContent />}
    >
      <Row gutter={24}>
        <Col span={8}>
          <NavCard
            link="/student/student"
            title={<Text color="rgba(255, 255, 255, .95)">学生管理</Text>}
            color="#389e0d"
            icon={<UserOutlined style={navIconStyle} />}
          />
        </Col>
        <Col span={8}>
          <NavCard
            link="/post/list"
            title={<Text color="rgba(255, 255, 255, .95)">科普管理</Text>}
            color="#d48806"
            icon={<ReadOutlined style={navIconStyle} />}
          />
        </Col>
        <Col span={8}>
          <NavCard
            link="/medical/visit"
            title={<Text color="rgba(255, 255, 255, .95)">就诊管理</Text>}
            color="#08979c"
            icon={<BranchesOutlined style={navIconStyle} />}
          />
        </Col>
      </Row>
      
      <Row gutter={16} style={{ marginTop: '1.5em' }}>
        <Col span={12}>
          <LineCard icon={<LineChartOutlined />} title="科普浏览量统计" api="/index/post-pv" />
        </Col>
        <Col span={12}>
          <LineCard icon={<LineChartOutlined />} title="学生阅读数统计" api="/index/post-uv" />
        </Col>
      </Row>
    </PageContainer>
  );
};
